<!doctype html>
<html lang="en">
  <head>
  <!-- Google tag (gtag.js) -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-3SVS4XQ47V"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
  
    gtag('config', 'G-3SVS4XQ47V');
  </script>
  <meta charset="utf-8">
  <meta name="author" content="Jim Hefferon" />
  <meta name="copyright" content="Contents of this HTML page and its CSS is CCSA 4.0." />
  <link rel="canonical" href="https://hefferon.net/linearalgebra/" />
  <meta property="og:locale" content="en_US" />
  <meta property="og:type" content="website" />
  <meta property="og:title" content="Free Linear Algebra text, from Jim Hefferon" />
  <meta property="og:description" content="Free Texts Mathematics and Computer Science, and more, from Jim Hefferon" />
  <meta property="og:url" content="https://hefferon.net/linearalgebra" />
  <meta property="og:site_name" content="Free math texts" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Literata">
  <link rel="stylesheet" href="../hefferon.css">
  <title>Free Linear Algebra textbook, from Jim Hefferon</title>
</head>

<body>
  <div id="container">
    <div id="header">
      <p>
	<i>Linear Algebra</i>
      </p>
    </div>
    <div id="content">
      <div id="innercontent">
	<img id="cover"
	     src="cover.png"
	     alt="cover of Linear Algebra by Hefferon" />
	<p>
	  <i>Linear Algebra</i>
	  by Jim Hefferon 
	  is a text for a first undergraduate course.
	  It is Free.
	  Use it as the main book, as a supplement, or for independent study.
	</p>

	<h3 id="get_the_book">
	  Get the book
	</h3>
        <p>
	  Clicking on this link offers you a chance to contribute to
	  OpenIntro,
	  who work to make Open materials more adoptable.
	  You can get the electronic version of the
	  text for free by just setting the slider to 0:
	  <a href="https://www.openintro.org/go?id=linalg4&referrer=hefferon.net">Download <i>Linear Algebra</i></a>.
	  (If you do contribute to
	  <a href="https://www.openintro.org">OpenIntro.org</a>
          then note that the page wording is confusing.
	  It says that the money
	  goes to the author but instead it means OpenIntro.)
	</p>

	<h3>
	  Text highlights
	</h3>
	
	<ul class="nobullet">
	  <li><span class="listitem">Standard coverage</span>
            Linear systems and Gauss's method, 
	    vector spaces, linear maps and matrices, determinants,
	    and eigenvectors and eigenvalues.
          </li>
	  
	  <li><span class="listitem">Developmental approach</span>
	    The book proves all of the results
	    but does not start by assuming that 
	    students are already able at abstract work.
	    Instead, it proceeds with a great deal of
	    motivation, many computational examples, 
            and many exercises.
	    The goal is to raise 
            each student's level of 
	    mathematical maturity.
          </li>
	  
	  <li><span class="listitem">Extensive exercise sets</span>   
            Each subsection has a wide range of exercises,
            from 
	    routine verifications to a few challenges.
	    The
	    <a href="https://jheffero.w3.uvm.edu/linearalgebra/jhanswer.pdf">book of solutions</a>
	    gives the answer to every one, completely worked.
	    And, clicking on a problem 
	    takes you to its answer
	    while clicking on the answer takes you back to the problem.
          </li>
	  
	  <li><span class="listitem">Popular</span>
	    Used in hundreds of classes at many schools, 
            as well as by thousands of people
            for independent study.
          </li>
	  
	  <li><span class="listitem">Applications</span>
            Each chapter finishes with four or five short  
	    supplemental topics
            for reading or projects, or for
            small group work. 
          </li> 
	  
	  <li><span class="listitem">Extras</span>
            There are
	    <a href="https://jheffero.w3.uvm.edu/linearalgebra/slides.zip">beamer slides</a>
	    for classroom presentations, 
            a
	    <a href="https://jheffero.w3.uvm.edu/linearalgebra/lab.pdf">lab manual</a> 
	    using
	    <a href="https://www.sagemath.org/"><i>Sage</i></a>,
	    and <a href="https://www.youtube.com/playlist?list=PLwF3A0R8OzMoMlE1-SaEh8h9VqUlO-r52">videos</a>.
	    For more, see the page for <a href="teaching.html">instructors</a>.
          </li> 
	  
	  <li><span class="listitem">Prerequisite</span>
            One semester of calculus.
          </li>
	  
	  <li><span class="listitem">Free</span>
            Everything is 
	    <a href="../source.html">Freely available</a>,
	    including the
	    <a href="https://gitlab.com/jim.hefferon/linear-algebra"><span class="latex">L<sup>a</sup>T<sub>e</sub>X</span> source</a>.
	    You can also buy a
	    <a href="hardcopy.html">paper copy of the book</a>.
          </li>
	  
	  <li><span class="listitem">Reviews</span>
            Some from:
            <a href="https://mathdl.maa.org/mathDL/19/?pa=reviews&sa=viewBook&bookId=72055">the Mathematical Association of America</a>,
            <a href="https://open.umn.edu/opentextbooks/textbooks/24">the American Institute of Mathematics</a>,
            <a href="https://open.umn.edu/opentextbooks/BookDetail.aspx?bookId=24">the Open Textbook Library</a>,
            <a href="https://www.theassayer.org/cgi-bin/asbook.cgi?book=29"><i>The Assayer</i>, a longstanding site about free texts</a>.
          </li>
	  
	  <li><span class="listitem">Award winning</span>
            Recipient of the 2020 Solow Award
	    from the Mathematical Association of America, for
	    &ldquo;impact on undergraduate education in mathematics.&rdquo;
          </li>
	</ul>
      </div>

      </div>
    </div>
    <div id="navbar">
      <div id="innernavbar">
	<h3>
	  More on <i>Linear Algebra</i>
	</h3>
	<ul>
	  <li><a href="hardcopy.html">Get a hard copy</a>.</li>
	  <li><a href="teaching.html">Teaching with this?</a>
	    There is more, such as classroom slides.
	    </li>
	  <li><a href="independent-study.html">Working independently?</a>
	    Here is additional material, and a little advice.
	    </li>
	  <li><a href="../source.html">License and source</a>.</li>
	  <li><a href="../help.html">You can help</a>.
	    Donate or make a bug report.</li>
	</ul>
	<h3>
	  You may also like ... 
	</h3>
	<ul>
	  <li><a href="/computation/"><i>Theory of Computation</i></a>,
	      an undergraduate CS theory text.</li>
	  <li><a href="/proofs/"><i>Introduction to Proofs</i></a>,
	      for an Inquiry-Based course</li>
	  <li><a href="/other/">Other stuff from me</a>,
	      including programs and documents.</li>
	  <li><a href="/jimhefferon.html">About me</a>.
	      </li>
	  <li><a href="/">This site's home page</a>.
	      </li>
	</ul>	
    </div>
    <div id="footer">
      <a id="contact" href="/jimhefferon.html">Contact me</a>
    </div>
</body>
</html>
